Bug 1287711 (CVE-2015-8381, CVE-2015-8395) - CVE-2015-8381 CVE-2015-8395 pcre: Buffer overflow caused by duplicate named references (8.38/36)
Summary: CVE-2015-8381 CVE-2015-8395 pcre: Buffer overflow caused by duplicate named r...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8381, CVE-2015-8395
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1256449 (view as bug list)
Depends On: 1256452 1287719 1287720 1287721 1287722 1330455 1330456
Blocks: 1287727
TreeView+ depends on / blocked
 
Reported: 2015-12-02 14:16 UTC by Adam Mariš
Modified: 2019-09-29 13:40 UTC (History)
18 users (show)

Fixed In Version: pcre 8.38
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 13:43:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1132 normal SHIPPED_LIVE Important: rh-mariadb100-mariadb security update 2016-05-26 12:35:06 UTC
Red Hat Product Errata RHSA-2016:2750 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Adam Mariš 2015-12-02 14:16:08 UTC
It was discovered that PCRE before 8.38 mishandles certain references, which allows remote attackers to cause a denial of service or possibly have unspecified other impact via a crafted regular expression. This issue is similar to CVE-2015-8384 and CVE-2015-8392.

Comment 1 Adam Mariš 2015-12-02 14:25:09 UTC
Created pcre tracking bugs for this issue:

Affects: fedora-all [bug 1287719]

Comment 2 Adam Mariš 2015-12-02 14:25:16 UTC
Created glib2 tracking bugs for this issue:

Affects: fedora-all [bug 1287721]

Comment 3 Adam Mariš 2015-12-02 14:25:24 UTC
Created mingw-pcre tracking bugs for this issue:

Affects: fedora-all [bug 1287720]
Affects: epel-7 [bug 1287722]

Comment 4 Adam Mariš 2015-12-02 15:24:57 UTC
Corresponds to item 36 in http://vcs.pcre.org/pcre/code/trunk/ChangeLog?view=markup

Comment 5 Petr Pisar 2015-12-02 16:16:45 UTC
Fixed in upstream with:

commit f25903ade90a9177cf1175eb48fb36e500b3cca4
Author: ph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>
Date:   Fri Aug 21 16:08:33 2015 +0000

    Hack in yet other patch for a bug in size computation that is fixed "properl
y"
    in PCRE2.
    
    
    git-svn-id: svn://vcs.exim.org/pcre/code/trunk@1594 2f5784b3-3f2a-0410-8824-
cb99058d5e15

Comment 6 Petr Pisar 2015-12-03 14:38:01 UTC
This is a duplicate of CVE-2015-8381 (bug #1256449).

Comment 7 Tomas Hoger 2016-02-19 20:46:26 UTC
(In reply to Petr Pisar from comment #5)
> commit f25903ade90a9177cf1175eb48fb36e500b3cca4
> Author: ph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>
> Date:   Fri Aug 21 16:08:33 2015 +0000
> 
> Hack in yet other patch for a bug in size computation that is fixed
> "properly" in PCRE2.

Upstream commit link:

http://vcs.pcre.org/pcre?view=revision&revision=1594

Upstream bug report, linked from the duplicate CVE-2015-8381:

https://bugs.exim.org/show_bug.cgi?id=1672

Comment 8 Tomas Hoger 2016-02-19 20:52:06 UTC
Yet another issue introduced in upstream version 8.34, which refactored named group handling code and apparently several bugs were introduced in the process.

Comment 9 Tomas Hoger 2016-02-19 21:21:54 UTC
(In reply to Tomas Hoger from comment #7)
> Upstream commit link:
> 
> http://vcs.pcre.org/pcre?view=revision&revision=1594

Note that this patch needs to be applied after patch for CVE-2015-8392 (bug 1287690).

Comment 10 Tomas Hoger 2016-02-22 21:28:36 UTC
*** Bug 1256449 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2016-05-26 08:42:41 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2016:1132 https://access.redhat.com/errata/RHSA-2016:1132

Comment 13 errata-xmlrpc 2016-11-15 11:48:52 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.